
_PWM_10bits_zero:

;Pwm.mpas,40 :: 		begin
;Pwm.mpas,54 :: 		CCPR5L:=%00000000;
	CLRF        CCPR5L+0 
;Pwm.mpas,55 :: 		CCP5CON:=%00001100;
	MOVLW       12
	MOVWF       CCP5CON+0 
;Pwm.mpas,57 :: 		End;{PWM_10bits_zero}
L_end_PWM_10bits_zero:
	RETURN      0
; end of _PWM_10bits_zero

_PWM_10bits_duty:

;Pwm.mpas,63 :: 		begin
;Pwm.mpas,64 :: 		if val>1023 then val:=1023;
	MOVF        FARG_PWM_10bits_duty_val+1, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__PWM_10bits_duty20
	MOVF        FARG_PWM_10bits_duty_val+0, 0 
	SUBLW       255
L__PWM_10bits_duty20:
	BTFSC       STATUS+0, 0 
	GOTO        L__PWM_10bits_duty3
	MOVLW       255
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVLW       3
	MOVWF       FARG_PWM_10bits_duty_val+1 
L__PWM_10bits_duty3:
;Pwm.mpas,65 :: 		LSB2bits:=$0C or byte(val and $03) shl 4;
	MOVLW       3
	ANDWF       FARG_PWM_10bits_duty_val+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVLW       12
	IORWF       R0, 0 
	MOVWF       CCP5CON+0 
;Pwm.mpas,79 :: 		CCP5CON:=LSB2bits;
;Pwm.mpas,80 :: 		CCPR5L:=byte(val shr 2);
	MOVF        FARG_PWM_10bits_duty_val+0, 0 
	MOVWF       R0 
	MOVF        FARG_PWM_10bits_duty_val+1, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVF        R0, 0 
	MOVWF       CCPR5L+0 
;Pwm.mpas,82 :: 		End;{PWM_10bits_duty}
L_end_PWM_10bits_duty:
	RETURN      0
; end of _PWM_10bits_duty

_PWM_10bits_init:

;Pwm.mpas,86 :: 		begin
;Pwm.mpas,87 :: 		PWM_10bits_duty(0);
	CLRF        FARG_PWM_10bits_duty_val+0 
	CLRF        FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,89 :: 		CCPTMRS0:=0;
	CLRF        CCPTMRS0+0 
;Pwm.mpas,90 :: 		CCPTMRS1:=0;
	CLRF        CCPTMRS1+0 
;Pwm.mpas,91 :: 		PR2:=%11111111;
	MOVLW       255
	MOVWF       PR2+0 
;Pwm.mpas,92 :: 		T2CON:=prescaler and $03;
	MOVLW       3
	ANDWF       FARG_PWM_10bits_init_prescaler+0, 0 
	MOVWF       T2CON+0 
;Pwm.mpas,93 :: 		T2CON.TMR2ON:=1;
	BSF         T2CON+0, 2 
;Pwm.mpas,107 :: 		End;{PWM_10bits_init}
L_end_PWM_10bits_init:
	RETURN      0
; end of _PWM_10bits_init

_main:

;Pwm.mpas,110 :: 		begin
;Pwm.mpas,111 :: 		ANSELA := 0;                        // Configure AN pins as digital I/O
	CLRF        ANSELA+0 
;Pwm.mpas,112 :: 		ANSELB := 0;
	CLRF        ANSELB+0 
;Pwm.mpas,113 :: 		ANSELC := 0;
	CLRF        ANSELC+0 
;Pwm.mpas,114 :: 		ANSELD :=0;
	CLRF        ANSELD+0 
;Pwm.mpas,115 :: 		ANSELE :=0;
	CLRF        ANSELE+0 
;Pwm.mpas,116 :: 		LATA  := 0;
	CLRF        LATA+0 
;Pwm.mpas,117 :: 		TRISA := 0;                       // configure PORTA pins as input
	CLRF        TRISA+0 
;Pwm.mpas,118 :: 		LATB  := 0;                         // set PORTB to 0
	CLRF        LATB+0 
;Pwm.mpas,119 :: 		TRISB := 0;                         // configure PORTB pins as OUTPUT
	CLRF        TRISB+0 
;Pwm.mpas,120 :: 		LATC  := 0;                         // set PORTC to 0
	CLRF        LATC+0 
;Pwm.mpas,121 :: 		TRISC := 0;
	CLRF        TRISC+0 
;Pwm.mpas,122 :: 		LATD  :=0;
	CLRF        LATD+0 
;Pwm.mpas,123 :: 		TRISD :=0;
	CLRF        TRISD+0 
;Pwm.mpas,124 :: 		LATE.0:=0;
	BCF         LATE+0, 0 
;Pwm.mpas,125 :: 		LATE.1:=0;
	BCF         LATE+0, 1 
;Pwm.mpas,126 :: 		TRISE.2:=0;
	BCF         TRISE+0, 2 
;Pwm.mpas,127 :: 		delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L__main7:
	DECFSZ      R13, 1, 1
	BRA         L__main7
	DECFSZ      R12, 1, 1
	BRA         L__main7
	DECFSZ      R11, 1, 1
	BRA         L__main7
;Pwm.mpas,130 :: 		PWM_10bits_init(prescaler16);
	MOVLW       2
	MOVWF       FARG_PWM_10bits_init_prescaler+0 
	CALL        _PWM_10bits_init+0, 0
;Pwm.mpas,131 :: 		aaa:=0;
	CLRF        _aaa+0 
	CLRF        _aaa+1 
;Pwm.mpas,132 :: 		PWM_10bits_duty(256);       //   1/4 of duty cycle
	MOVLW       0
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVLW       1
	MOVWF       FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,133 :: 		delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main8:
	DECFSZ      R13, 1, 1
	BRA         L__main8
	DECFSZ      R12, 1, 1
	BRA         L__main8
	DECFSZ      R11, 1, 1
	BRA         L__main8
	NOP
;Pwm.mpas,134 :: 		PWM_10bits_duty(512);       //   1/2 of duty cycle
	MOVLW       0
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVLW       2
	MOVWF       FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,135 :: 		delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main9:
	DECFSZ      R13, 1, 1
	BRA         L__main9
	DECFSZ      R12, 1, 1
	BRA         L__main9
	DECFSZ      R11, 1, 1
	BRA         L__main9
	NOP
;Pwm.mpas,136 :: 		PWM_10bits_duty(768);       //   2/3 of duty cycle
	MOVLW       0
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVLW       3
	MOVWF       FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,137 :: 		delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main10:
	DECFSZ      R13, 1, 1
	BRA         L__main10
	DECFSZ      R12, 1, 1
	BRA         L__main10
	DECFSZ      R11, 1, 1
	BRA         L__main10
	NOP
;Pwm.mpas,138 :: 		PWM_10bits_duty(1023);      //   full duty cycle
	MOVLW       255
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVLW       3
	MOVWF       FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,139 :: 		delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__main11:
	DECFSZ      R13, 1, 1
	BRA         L__main11
	DECFSZ      R12, 1, 1
	BRA         L__main11
	DECFSZ      R11, 1, 1
	BRA         L__main11
	NOP
;Pwm.mpas,140 :: 		for aaa:=1 to 1023 do
	MOVLW       1
	MOVWF       _aaa+0 
	MOVLW       0
	MOVWF       _aaa+1 
L__main13:
;Pwm.mpas,142 :: 		PWM_10bits_duty(aaa);     //  0 to 100% of duty cycle  in 1023 steps (10 bit)
	MOVF        _aaa+0, 0 
	MOVWF       FARG_PWM_10bits_duty_val+0 
	MOVF        _aaa+1, 0 
	MOVWF       FARG_PWM_10bits_duty_val+1 
	CALL        _PWM_10bits_duty+0, 0
;Pwm.mpas,143 :: 		delay_ms(20);
	MOVLW       208
	MOVWF       R12, 0
	MOVLW       201
	MOVWF       R13, 0
L__main17:
	DECFSZ      R13, 1, 1
	BRA         L__main17
	DECFSZ      R12, 1, 1
	BRA         L__main17
	NOP
	NOP
;Pwm.mpas,144 :: 		end;
	MOVF        _aaa+1, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main23
	MOVLW       255
	XORWF       _aaa+0, 0 
L__main23:
	BTFSC       STATUS+0, 2 
	GOTO        L__main16
	INFSNZ      _aaa+0, 1 
	INCF        _aaa+1, 1 
	GOTO        L__main13
L__main16:
;Pwm.mpas,146 :: 		end.
L_end_main:
	GOTO        $+0
; end of _main
